Close



Results 1 to 5 of 5
  1. #1

    Question Getting my old 3d printer working

    I have a Flashforge Creator Dual, made of wood - must be getting on for 10 years old.I'm trying to get it up and running again, but hitting the problems that come with old hardware:

    1. The latest FF software doesn't seem to support my printer. What should I do?

    2. I'd like to upgrade the firmware, but googling has given me some horror stories. Talk of sailfish and upgrading to that, but breaking it etc. Again, what's my best option here?

    3. This question might be made pointless by answers to 1 & 2, but is there another way of taking an STL file and turning it into an x3g (I think) file that will working with the printer?
    Last edited by bibbler; 01-17-2022 at 05:28 PM.

  2. #2
    Super Moderator curious aardvark's Avatar
    Join Date
    Jul 2014
    Posts
    8,788
    two things.

    The latest flashprint works just fine - just select 'creator pro'
    All the printer is looking for is the x3g file.
    save the file to an sd card - don;t bother using a usb cable. That's pretty unreliable under windows 10 anyway.

    secondly, what's worng with the original firmware ?

  3. #3
    Damn it, this forum seems to expect html tags instead of new lines sometimes, and other times not!

    So there's no 'FlashForge Pro' option for the printer, only 'Hunter', 'Foto' (of various numbers), and 'Focus'

    If I choose to print it anyway, it wants to save it as .svgx - but that those files don't seem to appear when I load the SD card, the others are .x3g?

  4. #4
    Quote Originally Posted by curious aardvark View Post
    secondly, what's worng with the original firmware ?
    Forgot to answer this - nothing, that I'm aware of. But my instinct is always to upgrade to the latest firmware before doing anything else, for bugfix and security purposes. And I wondered whether it would help me with the other queries...

  5. #5
    Super Moderator curious aardvark's Avatar
    Join Date
    Jul 2014
    Posts
    8,788
    You are using the wrong version of fladhorint :-)You are using flashdlprint - for resin printers.You actually want flashprint - no 'dl' - for fdm printers.There is no latest firmware. These printers were discontinued about 5 years ago.The firmware is totally fine You just need the right version of flashprint :-)I've currently got a flashforge foto 6 and my first printer was s flashforge creator.It got mothballed a few years ago, but they are great little workhorses.Slow, but reliable.All the printer options you said you were offered are newish resin printers.Hence, wrong version :-)And yes how the forum software, randomly handles formatting us extremely annoying.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •